Bug 241924 - /proc/vmcore missing
/proc/vmcore missing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-31 14:39 EDT by Zing
Modified: 2008-04-23 16:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 16:06:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to turn on vmcore proc file in all kernels for FC6 (1.41 KB, patch)
2007-06-01 14:04 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Zing 2007-05-31 14:39:45 EDT
Description of problem:
Upon kernel crash, kexec runs and kdump is unable to cp the vmcore image because
/proc/vmcore is missing:

cp: /proc/vmcore: No such file or directory

Version-Release number of selected component (if applicable):
kexec-tools-1.101-69 + kexec-x86.patch from bug #238768.

How reproducible:
Happens all the time.

Steps to Reproduce:
1. setup kexec-tools normally
2. use "default shell" in /etc/kdump.conf
3. you'll see "cp: /proc/vmcore: No such file or directory" a few lines above
the shell prompt
  
Additional info:
Tested on two machines:
1. intel xeon dual processor blade (8843-E9U) in an IBM Bladecenter H
(8852-4XU).  ~6 GB of memory. (64bit machine, fc6-x86 install)
2. IBM ThinkCentre 8183-32U Pentium 4. ~600MB memory (32bit, fc6-x86 install)
Comment 1 Neil Horman 2007-06-01 14:04:56 EDT
Created attachment 155915 [details]
patch to turn on vmcore proc file in all kernels for FC6

Now that we have relocatable kernels available in FC-6, we need to enable
/proc/vmcore in all of them.  This patch should handle that
Comment 2 Neil Horman 2007-06-01 14:05:54 EDT
Dave, would you mind please checking this config change into FC-6?  We need this
config option enabled now that we have relocatable kernels available in that
release.  Thanks
Comment 3 Zing 2007-06-04 14:23:58 EDT
I rebuilt kernel with CONFIG_PROC_VMCORE=y and I get a successful dump copy of
vmcore and clean reboot of the machine. (the blade x86 install).
Comment 4 Bug Zapper 2008-04-04 03:20:23 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Neil Horman 2008-04-23 16:06:09 EDT
this is most definately fixed in rawhide kernels.

Note You need to log in before you can comment on or make changes to this bug.